# Cinder

# cinder::app::RendererGl Class Reference

`#include <Renderer.h>`

Inherits cinder::app::Renderer.

List of all members.

## Public Types
enum | { AA_NONE = 0, AA_MSAA_2, AA_MSAA_4, AA_MSAA_6, AA_MSAA_8, AA_MSAA_16, AA_MSAA_32 }
## Public Member Functions
| RendererGl ()
| RendererGl (int aAntiAliasing)
| ~RendererGl ()
virtual void | setup (App *aApp, CGRect frame, NSView *cinderView)
virtual CGLContextObj | getCglContext ()
virtual CGLPixelFormatObj | getCglPixelFormat ()
virtual void | setup (App *aApp, const Area &frame, UIView *cinderView)
virtual bool | isEaglLayer () const
virtual void | setFrameSize (int width, int height)
virtual void | makeCurrentContext ()
virtual void | setup (App *aApp, HWND wnd, HDC dc)
virtual void | kill ()
virtual HWND | getHwnd ()
virtual void | prepareToggleFullScreen ()
virtual void | finishToggleFullScreen ()
void | setAntiAliasing (int aAntiAliasing)
int | getAntiAliasing () const
virtual void | startDraw ()
virtual void | finishDraw ()
virtual void | defaultResize ()
virtual Surface | copyWindowSurface (const Area &area)
virtual CGContextRef | getCgContext ()
virtual HDC | getDc ()
## Static Public Attributes
static const int | sAntiAliasingSamples [] = { 0, 2, 4, 6, 8, 16, 32 }
## Protected Attributes
int | mAntiAliasing
AppImplCocoaRendererGl * | mImpl
AppImplCocoaTouchRendererGl * | mImpl
class AppImplMswRendererGl * | mImpl
HWND | mWnd
class App * | mApp

## Member Enumeration Documentation

anonymous enum

Enumerator:

  AA_NONE |
  AA_MSAA_2 |
  AA_MSAA_4 |
  AA_MSAA_6 |
  AA_MSAA_8 |
  AA_MSAA_16 |
  AA_MSAA_32 |

## Constructor & Destructor Documentation

cinder::app::RendererGl::RendererGl | ( |  | ) |

cinder::app::RendererGl::RendererGl | ( | int | aAntiAliasing | ) |

cinder::app::RendererGl::~RendererGl | ( |  | ) |

## Member Function Documentation

void cinder::app::RendererGl::setup | ( | App * | aApp,
|  | CGRect | frame,
|  | NSView * | cinderView |
| ) |  |  | `[virtual]`

Implements cinder::app::Renderer.

CGLContextObj cinder::app::RendererGl::getCglContext | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

CGLPixelFormatObj cinder::app::RendererGl::getCglPixelFormat | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::setup | ( | App * | aApp,
|  | const Area & | frame,
|  | UIView * | cinderView |
| ) |  |  | `[virtual]`

Implements cinder::app::Renderer.

virtual bool cinder::app::RendererGl::isEaglLayer | ( |  | ) | const`[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::setFrameSize | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::makeCurrentContext | ( |  | ) | `[virtual]`

Implements cinder::app::Renderer.

void cinder::app::RendererGl::setup | ( | App * | aApp,
|  | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[virtual]`

Implements cinder::app::Renderer.

void cinder::app::RendererGl::kill | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

virtual HWND cinder::app::RendererGl::getHwnd | ( |  | ) | `[virtual]`

Implements cinder::app::Renderer.

void cinder::app::RendererGl::prepareToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::finishToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::setAntiAliasing | ( | int | aAntiAliasing | ) |

int cinder::app::RendererGl::getAntiAliasing | ( |  | ) | const

void cinder::app::RendererGl::startDraw | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::finishDraw | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

void cinder::app::RendererGl::defaultResize | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::Renderer.

Surface cinder::app::RendererGl::copyWindowSurface | ( | const Area & | area | ) | `[virtual]`

Implements cinder::app::Renderer.

virtual CGContextRef cinder::app::Renderer::getCgContext | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::Renderer2d.

virtual HDC cinder::app::Renderer::getDc | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::Renderer2d.

## Member Data Documentation

const int cinder::app::RendererGl::sAntiAliasingSamples = { 0, 2, 4, 6, 8, 16, 32 }`[static]`

int cinder::app::RendererGl::mAntiAliasing`[protected]`

AppImplCocoaRendererGl* cinder::app::RendererGl::mImpl`[protected]`

AppImplCocoaTouchRendererGl* cinder::app::RendererGl::mImpl`[protected]`

class AppImplMswRendererGl* cinder::app::RendererGl::mImpl`[protected]`

HWND cinder::app::RendererGl::mWnd`[protected]`

class App* cinder::app::Renderer::mApp`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/app/Renderer.h
- src/cinder/app/Renderer.cpp